com.pixelmed.dicom

## Class ContentItemFactory.TemporalCoordinatesContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.TemporalCoordinatesContentItem

All Implemented Interfaces:
  javax.swing.tree.TreeNode

Enclosing class:
  ContentItemFactory

    public class ContentItemFactory.TemporalCoordinatesContentItem
    extends ContentItemWithValue

### Field Summary

Fields
`protected java.lang.String[]` `referencedDateTimes`
`protected int[]` `referencedSamplePositions`
`protected float[]` `referencedTimeOffsets`
`protected java.lang.String` `temporalRangeType`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`relationshipType`

### Constructor Summary

Constructors
Constructor and Description
`ContentItemFactory.TemporalCoordinatesContentItem(ContentItem parent, AttributeList list)`

### Method Summary

Methods
`java.lang.String` `getConceptValue()` Get a string representation of the value of the concept.
`java.lang.String[]` `getReferencedDateTimes()`
`int[]` `getReferencedSamplePositions()`
`float[]` `getReferencedTimeOffsets()`
`java.lang.String` `getTemporalRangeType()`
`java.lang.String` `toString()` Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getParent, getParentAsContentItem, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### temporalRangeType

    protected java.lang.String temporalRangeType

#### referencedSamplePositions

    protected int[] referencedSamplePositions

#### referencedTimeOffsets

    protected float[] referencedTimeOffsets

#### referencedDateTimes

    protected java.lang.String[] referencedDateTimes

### Constructor Detail

#### ContentItemFactory.TemporalCoordinatesContentItem

    public ContentItemFactory.TemporalCoordinatesContentItem(ContentItem parent,
                                                     AttributeList list)

Parameters:
  `parent` -
  `list` -

### Method Detail

#### getConceptValue

    public java.lang.String getConceptValue()

Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string

#### toString

    public java.lang.String toString()

Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemWithValue`
Returns:
  the string representation of the content item

#### getTemporalRangeType

    public java.lang.String getTemporalRangeType()

#### getReferencedSamplePositions

    public int[] getReferencedSamplePositions()

#### getReferencedTimeOffsets

    public float[] getReferencedTimeOffsets()

#### getReferencedDateTimes

    public java.lang.String[] getReferencedDateTimes()